package com.hzya.frame.plugin.a8bill.service;

import com.hzya.frame.ningboBankTreasury.dto.res.AccTransactionRes;

import java.util.List;

/**
 * @Description 宁波银行插件用
 * @Author xiangerlin
 * @Date 2024/7/25 16:33
 **/
public interface INingboBankPluginService {

    /**
     * 调用宁波银行esb接口
     * @param params
     * @param apiCode
     * @return
     */
    String executeEsb(String params,String apiCode);


    /**
     * 保存收款日志到oa底表
     * @param accTransactionResList
     */
    void saveAccLog(List<AccTransactionRes> accTransactionResList);
}
