package com.hzya.frame.sysnew.grovy.service.impl;


import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sysnew.application.entity.SysExtensionApiEntity;
import com.hzya.frame.sysnew.grovy.service.IGroovyIntegrationService;
import com.hzya.frame.util.GroovyUtil;
import com.hzya.frame.web.entity.BaseResult;
import com.hzya.frame.web.entity.JsonResultEntity;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * Groovy 脚本执行实现类
 *
 * @author 👻👻👻👻👻👻👻👻👻👻 gjh
 * @version 1.0
 * @content
 * @date 2024-05-15 13:50
 */
@Service(value = "groovyIntegrationService")
public class GroovyIntegrationServiceImpl implements IGroovyIntegrationService {
    private static final Logger logger = LoggerFactory.getLogger(GroovyIntegrationServiceImpl.class);


    @Override
    public Object groovyScriptExecution(JSONObject jsonObject) {
        Object object = GroovyUtil.execute(jsonObject);
        return object;
    }

    public static void main(String[] args) {
//        java.lang.String str = "{\"data\":{\"document_rule\":\"WLFL-2024-07-31-00025\",\"create_user_id\":\"1\",\"create_time\":1722405930000,\"company_id\":\"Y\",\"modify_time\":1722405930000,\"materiel_classify_name\":\"测试下发一级\",\"document_rule_num\":25,\"materiel_classify_code\":\"09\",\"add_status\":\"0\",\"update_status\":\"0\",\"sts\":\"Y\",\"delete_status\":\"1\",\"org_id\":\"Y\",\"id\":\"3dac9727cc0648baa8c1355464ad44b8\",\"data_status\":\"F\",\"modify_user_id\":\"1\",\"sorts\":34},\"query\":\"[]\",\"header\":\"[{\\\"parameterType\\\":\\\"fundamental\\\",\\\"concreteType\\\":\\\"String\\\",\\\"index\\\":0,\\\"parameterName\\\":\\\"usercode\\\",\\\"id\\\":\\\"e2c4013a-a5ad-4d21-9e91-aac0dd738838\\\",\\\"example\\\":\\\"17633965916\\\"},{\\\"parameterType\\\":\\\"fundamental\\\",\\\"concreteType\\\":\\\"String\\\",\\\"index\\\":1,\\\"parameterName\\\":\\\"password\\\",\\\"id\\\":\\\"22373440-45f5-450c-9497-40ede659e831\\\",\\\"example\\\":\\\"92d40fd65a74377608c0039eaafdba99\\\"},{\\\"parameterType\\\":\\\"fundamental\\\",\\\"concreteType\\\":\\\"String\\\",\\\"index\\\":2,\\\"parameterName\\\":\\\"trantype\\\",\\\"id\\\":\\\"12fd925a-29c1-42ca-a3e6-edf3c925c495\\\",\\\"example\\\":\\\"code\\\"},{\\\"parameterType\\\":\\\"fundamental\\\",\\\"concreteType\\\":\\\"String\\\",\\\"index\\\":3,\\\"parameterName\\\":\\\"system\\\",\\\"id\\\":\\\"11dd627c-bb82-4304-bff0-2ba54e2b8907\\\",\\\"example\\\":\\\"01\\\"}]\",\"tripartiteId\":\"0001A110000000000R6D\",\"body\":\"[{\\\"parameterType\\\":\\\"complex\\\",\\\"children\\\":[{\\\"parameterType\\\":\\\"complexlist\\\",\\\"children\\\":[{\\\"parameterType\\\":\\\"fundamental\\\",\\\"concreteType\\\":\\\"String\\\",\\\"index\\\":2,\\\"description\\\":\\\"分类编码\\\",\\\"parameterName\\\":\\\"invclasscode\\\",\\\"id\\\":\\\"3b2af319-87c8-400a-b38a-d54f9b207f26\\\",\\\"example\\\":\\\"04\\\"},{\\\"parameterType\\\":\\\"fundamental\\\",\\\"concreteType\\\":\\\"String\\\",\\\"index\\\":3,\\\"description\\\":\\\"分类名称\\\",\\\"parameterName\\\":\\\"invclassname\\\",\\\"id\\\":\\\"7c5bd695-ed84-4a92-a1c7-31c862e98d21\\\",\\\"example\\\":\\\"成品测试1\\\"},{\\\"parameterType\\\":\\\"fundamental\\\",\\\"concreteType\\\":\\\"String\\\",\\\"index\\\":4,\\\"description\\\":\\\"公司编码默认0001\\\",\\\"parameterName\\\":\\\"pk_corp\\\",\\\"id\\\":\\\"482d659b-b374-4fb5-b31b-32bca4a6d8be\\\",\\\"example\\\":\\\"0001\\\"},{\\\"parameterType\\\":\\\"fundamental\\\",\\\"concreteType\\\":\\\"String\\\",\\\"index\\\":5,\\\"description\\\":\\\"分类主键\\\",\\\"parameterName\\\":\\\"pk_invcl\\\",\\\"id\\\":\\\"3fa6caac-e0cd-4ec7-8df4-7c990504ee25\\\",\\\"example\\\":\\\"0001F11000000000I6NN\\\"}],\\\"concreteType\\\":\\\"ObjectCom\\\",\\\"index\\\":1,\\\"parameterName\\\":\\\"invcl\\\",\\\"id\\\":\\\"0638670a-e65d-46e1-aabd-adc7a956c4cb\\\"}],\\\"concreteType\\\":\\\"Object\\\",\\\"index\\\":0,\\\"id\\\":\\\"81cdd912-9bf3-4cb4-b74f-2a8ee27de93a\\\",\\\"parameterName\\\":\\\"body\\\",\\\"first\\\":true}]\"}";
//        A88772 s = new A88772();
//        System.out.println(s.execute(str));

        String str = "{\"data\":\"{\\\"msg\\\":\\\"转发成功\\\",\\\"type\\\":null,\\\"flag\\\":true,\\\"status\\\":\\\"200\\\",\\\"attribute\\\":{\\\"data\\\":\\\"[{\\\\\\\"pk_invcl\\\\\\\":\\\\\\\"0001A110000000000QPW\\\\\\\",\\\\\\\"invclasscode\\\\\\\":\\\\\\\"09\\\\\\\",\\\\\\\"invclassname\\\\\\\":\\\\\\\"测试下发一级\\\\\\\",\\\\\\\"invclasslev\\\\\\\":\\\\\\\"1\\\\\\\",\\\\\\\"pk_corp\\\\\\\":\\\\\\\"0001\\\\\\\"}]\\\",\\\"taskNumber\\\":\\\"202407310125\\\",\\\"status\\\":\\\"success\\\"}}\"}";
        g_482610back t = new g_482610back();
        System.out.println(t.execute(str));
    }
    static class test0001{
        String execute(String jsonStr) {
            com.alibaba.fastjson.JSONObject returnObject = new com.alibaba.fastjson.JSONObject();
            com.alibaba.fastjson.JSONObject reqData = com.alibaba.fastjson.JSON.parseObject(jsonStr);
            if(null !=reqData){
                com.alibaba.fastjson.JSONObject header = new com.alibaba.fastjson.JSONObject();
                if(null !=reqData.getString("status")&& !"".equals(reqData.getString("status"))){
                    com.alibaba.fastjson.JSONArray dataArr = com.alibaba.fastjson.JSON.parseArray(reqData.getString("data"));
                    com.alibaba.fastjson.JSONObject data = (JSONObject) dataArr.get(0);
                    returnObject.put("success","true");
                    returnObject.put("tripartiteId",data.getString("pk_invcl"));
                }else{
                    returnObject.put("success","false");
                }
            }else{
                returnObject.put("success","false");
            }
            return returnObject.toJSONString();
        }
    }

    static class A88772 {
        String execute(String jsonStr) {
            com.alibaba.fastjson.JSONObject returnObject = new com.alibaba.fastjson.JSONObject();
            com.alibaba.fastjson.JSONObject bodys = new com.alibaba.fastjson.JSONObject();
            com.alibaba.fastjson.JSONArray invcl = new com.alibaba.fastjson.JSONArray();
            com.alibaba.fastjson.JSONObject main = new com.alibaba.fastjson.JSONObject();
            com.alibaba.fastjson.JSONObject reqData = com.alibaba.fastjson.JSON.parseObject(jsonStr);
            com.alibaba.fastjson.JSONObject data = reqData.getJSONObject("data");
            main.put("invclasscode", data.getString("materiel_classify_code"));
            main.put("invclassname", data.getString("materiel_classify_name"));
            main.put("pk_invcl", reqData.getString("tripartiteId"));
            main.put("pk_corp", "0001");
            invcl.add(main);
            bodys.put("invcl",invcl);
            returnObject.put("bodys",bodys.toJSONString());
            return returnObject.toJSONString();





        }
    }
    static class g_482610back {
        String execute(String jsonStr){
        com.alibaba.fastjson.JSONObject returnObject = new com.alibaba.fastjson.JSONObject();
        com.alibaba.fastjson.JSONObject resData = com.alibaba.fastjson.JSON.parseObject(jsonStr);
        if("200".equals(resData.getJSONObject("data").get("status"))){
            com.alibaba.fastjson.JSONObject reqData = resData.getJSONObject("data").getJSONObject("attribute");
            if(null !=reqData){
                com.alibaba.fastjson.JSONObject header = new com.alibaba.fastjson.JSONObject();
                if(null !=reqData.getString("status")&& !"".equals(reqData.getString("status"))){
                    com.alibaba.fastjson.JSONArray dataArr = com.alibaba.fastjson.JSON.parseArray(reqData.getString("data"));
//                    com.alibaba.fastjson.JSONObject data = (com.alibaba.fastjson.JSONObject) dataArr.get(0);
                    com.alibaba.fastjson.JSONObject data = dataArr.getJSONObject(0);
                    returnObject.put("success","true");
                    returnObject.put("tripartiteId",data.getString("pk_invcl"));
                }else{
                    returnObject.put("success","false");
                }
            }else{
                returnObject.put("success","false");
            }
        }else {
            returnObject.put("success","false");
        }
        return returnObject.toJSONString(); } }

}
